<div class="mainContainer xs-pad-3">
  <div class="container1 xs-pad-0">
    <div class="loginForm">
      <span><img src="../../../assets/huawei_logo.png" style="padding:10px;margin-top:-10px;"/><span class="font-sz">Open Unified Portal (HOUP)</span>  </span>
      <form class="form-signin" (submit)="onLoginSubmit()">
        <div class="form-group">
          <label for="Username">Username</label>
          <input type="text" class="form-control" [ngClass]="!isValidUsername ? 'notValid' : ''" placeholder="Enter Username" [(ngModel)]="userData.username" name="username"  autocomplete="off">
        </div>
        <div class="form-group">
          <label for="Password">Password</label>
          <input id="temp" type="password" class="form-control temp" [ngClass]="!isValidUsername ? 'notValid' : ''" placeholder=" Enter Password" [(ngModel)]="userData.password" name="password">
        </div>
        <div style="display: flex">
          <div style="width: 100%;">
            <input type="text" [(ngModel)]="captcha" [ngClass]="!isValidCaptch ? 'notValid' : ''" class="form-control captchabox" placeholder="Captcha" name='captcha' autocomplete="off"/>
          </div>
          <div class="captcha">
            <span>{{code}}</span>
          </div>
        </div>
        <button class="button"  type="submit">Login</button>
        <button class="button" type="button" (click)="registerUser()"> Register</button>
      </form>
    </div> 
  </div>
</div>
   

